Skip to main content
POST
/
organizations
/
{organizationID}
/
githubapp
/
installations
Create GitHub App installation
curl --request POST \
  --url https://api.xata.tech/organizations/{organizationID}/githubapp/installations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "installationId": 123
}
'
{
  "id": "<string>",
  "installationId": 123,
  "organization": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://xata.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organizationID
string
required

Unique identifier of the organization

Pattern: [a-zA-Z0-9_-~:]+

Body

application/json
installationId
integer<int64>
required

GitHub App installation ID

Response

Installation created successfully

A GitHub App installation associated with an organization

id
string
required

Unique identifier of the installation record

installationId
integer<int64>
required

GitHub App installation ID

organization
string
required

Organization ID this installation belongs to

createdAt
string<date-time>
required

Timestamp when the installation was created

updatedAt
string<date-time>
required

Timestamp when the installation was last updated